package com.kingdee.eas.custom.compensation.startingsalary.backgroundtransaction;

import javax.ejb.*;
import java.rmi.RemoteException;
import com.kingdee.bos.*;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.metadata.IMetaDataPK;
import com.kingdee.bos.metadata.rule.RuleExecutor;
import com.kingdee.bos.metadata.MetaDataPK;
//import com.kingdee.bos.metadata.entity.EntityViewInfo;
import com.kingdee.bos.framework.ejb.AbstractEntityControllerBean;
import com.kingdee.bos.framework.ejb.AbstractBizControllerBean;
//import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.dao.IObjectValue;
import com.kingdee.bos.dao.IObjectCollection;
import com.kingdee.bos.service.ServiceContext;
import com.kingdee.bos.service.IServiceContext;
import com.kingdee.eas.framework.Result;
import com.kingdee.eas.framework.LineResult;
import com.kingdee.eas.framework.exception.EASMultiException;
import com.kingdee.bos.dao.ormapping.ObjectUuidPK;

import java.lang.String;



public abstract class AbstractSalaryUtilsFacadeControllerBean extends AbstractBizControllerBean implements SalaryUtilsFacadeController
{
    protected AbstractSalaryUtilsFacadeControllerBean()
    {
    }

    protected BOSObjectType getBOSType()
    {
        return new BOSObjectType("0D24901B");
    }

    public void sendBatchEmployeeOtherSign(Context ctx, String otherContractId) throws BOSException
    {
        try {
            ServiceContext svcCtx = createServiceContext(new MetaDataPK("043d8eaf-d116-4015-89c1-41b0ad0406c2"), new Object[]{ctx, otherContractId});
            invokeServiceBefore(svcCtx);
              if(!svcCtx.invokeBreak()) {
            _sendBatchEmployeeOtherSign(ctx, otherContractId);
            }
            invokeServiceAfter(svcCtx);
        } catch (BOSException ex) {
            throw ex;
        } finally {
            super.cleanUpServiceState();
        }
    }
    protected void _sendBatchEmployeeOtherSign(Context ctx, String otherContractId) throws BOSException
    {    	
        return;
    }

    public void submitEffectBatchAdjustBill(Context ctx, String batchAdjustId) throws BOSException
    {
        try {
            ServiceContext svcCtx = createServiceContext(new MetaDataPK("d2fcd261-2873-418b-923e-eb0b3634ce06"), new Object[]{ctx, batchAdjustId});
            invokeServiceBefore(svcCtx);
              if(!svcCtx.invokeBreak()) {
            _submitEffectBatchAdjustBill(ctx, batchAdjustId);
            }
            invokeServiceAfter(svcCtx);
        } catch (BOSException ex) {
            throw ex;
        } finally {
            super.cleanUpServiceState();
        }
    }
    protected void _submitEffectBatchAdjustBill(Context ctx, String batchAdjustId) throws BOSException
    {    	
        return;
    }

}